#!/usr/bin/env bash

echo "Archivo generado con Patchwerk (c) mrm/AnimeUnderground"
echo
if [[ ! $(which xdelta3) ]]; then
	echo "Es necesario tener instalado xdelta3. Saliendo."
	exit -1
else
if [[ ! -f "[FnF-BB] Robotics;Notes - 07 [B2D86ADD].mkv" ]]; then
		echo "No se encuentra el fichero de origen: [FnF-BB] Robotics;Notes - 07 [B2D86ADD].mkv"
		exit -1
	fi

if [[ ! -f "[FnF-BB] Robotics;Notes - 07_v1_to_v2_[5DF64B74].xdelta" ]]; then
		echo "No se encuentra el parche: [FnF-BB] Robotics;Notes - 07_v1_to_v2_[5DF64B74].xdelta"
		exit -1
	fi

	echo "Archivo de origen: [FnF-BB] Robotics;Notes - 07 [B2D86ADD].mkv"
	echo "Archivo de destino: [FnF-BB] Robotics;Notes - 07 (v2) [5DF64B74].mkv"
	echo "Aplicando parche..."
	xdelta3 -f -d -B 268435456 -s "[FnF-BB] Robotics;Notes - 07 [B2D86ADD].mkv" "[FnF-BB] Robotics;Notes - 07_v1_to_v2_[5DF64B74].xdelta" "[FnF-BB] Robotics;Notes - 07 (v2) [5DF64B74].mkv"
	echo "Parche aplicado."
fi

exit 0
